## dunst 1.8.1

=== debian/changelog ===
dunst (1.8.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jun 2022 12:48:03 -0400

dunst (1.8.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Nikos Tsipinakis ]
  * New upstream version 1.8.1
  * d/patches: Drop all patches, not needed
  * d/control: Use correct sysconfdir
  * Bump standards to 4.6.1, no changes
  * d/control: Add wayland dependency

  [ Boyuan Yang ]
  * d/control: Mark buid-dep systemd as [linux-any].
  * d/control: Apply "wrap-and-sort -abst".
  * d/control: Drop recommendation on sensible-utils, no longer used.
  * d/control: Add dependency on xdg-utils, used by upstream.

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sat, 11 Jun 2022 10:42:31 +0200
