=== debian/changelog ===
dunst (1.9.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #1019755)

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Nov 2022 14:04:01 -0500
