=== debian/control ===
Source: dunst
Section: x11
Priority: optional
Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
Build-Depends:
 debhelper-compat (= 13),
 default-dbus-session-bus | dbus-session-bus,
 libcairo2-dev,
 libdbus-1-dev,
 libgdk-pixbuf2.0-dev,
 libglib2.0-dev,
 libnotify-dev,
 libpango1.0-dev,
 librsvg2-common,
 libwayland-dev,
 libx11-dev,
 libxinerama-dev,
 libxrandr-dev,
 libxss-dev,
 systemd [linux-any],
Standards-Version: 4.6.1
Homepage: https://dunst-project.org/
Vcs-Git: https://salsa.debian.org/debian/dunst.git
Vcs-Browser: https://salsa.debian.org/debian/dunst
Rules-Requires-Root: no

Package: dunst
Architecture: any
Depends:
 default-dbus-session-bus | dbus-session-bus,
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 notification-daemon,
Description: dmenu-ish notification-daemon
 Dunst is a highly configurable and lightweight notification-daemon: The
 only thing it displays is a colored box with unformatted text. The whole
 notification specification (non-optional parts and the "body" capability) is
 supported as long as it fits into this look & feel.
 .
 Dunst is designed to fit nicely into minimalistic windowmanagers like dwm, but
 it should work on any Linux desktop.
