## dunst 1.9.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include config.mk
 
-VERSION := "1.9.0 (2022-06-27)"
+VERSION := "1.9.2 (2023-04-20)"
 ifneq ($(wildcard ./.git/),)
 VERSION := $(shell ${GIT} describe --tags)
 endif
@@ -47,7 +47,7 @@
 
 
 .PHONY: all debug
-all: doc dunst dunstify service
+all: doc dunst service
 
 debug: CFLAGS   += ${CPPFLAGS_DEBUG} ${CFLAGS_DEBUG}
 debug: LDFLAGS  += ${LDFLAGS_DEBUG}
@@ -64,8 +64,11 @@
 dunst: ${OBJ} main.o
 	${CC} -o ${@} ${OBJ} main.o ${CFLAGS} ${LDFLAGS}
 
+ifneq (0,${DUNSTIFY})
+all: dunstify
 dunstify: dunstify.o
 	${CC} -o ${@} dunstify.o ${CFLAGS} ${LDFLAGS}
+endif
 
 .PHONY: test test-valgrind test-coverage
 test: test/test clean-coverage-run
@@ -181,7 +184,7 @@
         uninstall uninstall-dunstctl uninstall-dunstrc \
         uninstall-service uninstall-service-dbus uninstall-service-systemd \
 	uninstall-keepconf uninstall-purge
-install: install-dunst install-dunstctl install-dunstrc install-service install-dunstify
+install: install-dunst install-dunstctl install-dunstrc install-service 
 
 install-dunst: dunst doc
 	install -Dm755 dunst ${DESTDIR}${BINDIR}/dunst
@@ -206,8 +209,11 @@
 	install -Dm644 dunst.systemd.service ${DESTDIR}${SERVICEDIR_SYSTEMD}/dunst.service
 endif
 
+ifneq (0,${DUNSTIFY})
+install: install-dunstify
 install-dunstify: dunstify
 	install -Dm755 dunstify ${DESTDIR}${BINDIR}/dunstify
+endif
 
 uninstall: uninstall-keepconf
 uninstall-purge: uninstall-keepconf uninstall-dunstrc
