=== debian/changelog ===
dunst (1.9.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:44:13 +1100

dunst (1.9.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:14:56 +0000

dunst (1.9.2-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * New upstream release. (Closes: #1038745)
  * debian/control:
    + Bump Standards-Version to 4.6.2.
    + Update build-dep: libgdk-pixbuf2.0-dev => libgdk-pixbuf-2.0-dev.
      (Closes: #1037369)

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Tue, 27 Jun 2023 19:47:37 +0200
