=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: dunst
 Section: x11
 Priority: optional
-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
 Build-Depends:
  debhelper-compat (= 13),
  default-dbus-session-bus | dbus-session-bus,
  libcairo2-dev,
  libdbus-1-dev,
- libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  libglib2.0-dev,
  libnotify-dev,
  libpango1.0-dev,
@@ -18,7 +19,7 @@
  libxrandr-dev,
  libxss-dev,
  systemd [linux-any],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://dunst-project.org/
 Vcs-Git: https://salsa.debian.org/debian/dunst.git
 Vcs-Browser: https://salsa.debian.org/debian/dunst
