=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

%:
	SYSCONFDIR="/etc/xdg" PREFIX=/usr dh $@

override_dh_installdocs:
	install -D -m644 RELEASE_NOTES debian/dunst/usr/share/doc/dunst/NEWS
	dh_installdocs
