=== debian/changelog ===
dunst (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * New upstream version 1.11.0 (Closes: #1068682)
  * Bump policy to 4.7.0, no changes
  * Add lintian override for no-man-page
  * Use systemd-dev over systemd dependency (Closes: #1060478)

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Tue, 30 Apr 2024 13:43:31 +0200
