=== debian/changelog ===
dunst (1.12.2-1) unstable; urgency=medium

  * New upstream version 1.12.2 (Closes: #1098667, #1098542)
  * Update changelog for 1.12.2-1 release

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Tue, 25 Mar 2025 20:02:38 +0100
