=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dunst
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
+Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
 Build-Depends:
  debhelper-compat (= 13),
  default-dbus-session-bus | dbus-session-bus,
@@ -18,8 +17,8 @@
  libxinerama-dev,
  libxrandr-dev,
  libxss-dev,
- systemd [linux-any],
-Standards-Version: 4.6.2
+ systemd-dev,
+Standards-Version: 4.7.0
 Homepage: https://dunst-project.org/
 Vcs-Git: https://salsa.debian.org/debian/dunst.git
 Vcs-Browser: https://salsa.debian.org/debian/dunst
